GET api/Goods/GetListBySsdw?ssdw={ssdw}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ssdw

integer

Required

Body Parameters

None.

Response Information

Resource Description

ServerResponseOfListOfbase_goods
NameDescriptionTypeAdditional information
Entity

Collection of base_goods

None.

errcode

返回码

integer

None.

errmsg

对返回码的文本描述内容

string

None.

ReturnValue

返回值

Object

None.

Response Formats

application/json, text/json

Sample:
{
  "Entity": [
    {
      "id": 1,
      "dept_id": 2,
      "ssdw": 3,
      "name": "sample string 4",
      "type": "sample string 5",
      "specifications": "sample string 6",
      "unit": "sample string 7",
      "addtime": "2026-03-26T14:28:25.8630641+08:00",
      "fee_ccf": 9.1,
      "quantity": 10,
      "weight": 11.1,
      "dwmc": "sample string 12"
    },
    {
      "id": 1,
      "dept_id": 2,
      "ssdw": 3,
      "name": "sample string 4",
      "type": "sample string 5",
      "specifications": "sample string 6",
      "unit": "sample string 7",
      "addtime": "2026-03-26T14:28:25.8630641+08:00",
      "fee_ccf": 9.1,
      "quantity": 10,
      "weight": 11.1,
      "dwmc": "sample string 12"
    }
  ],
  "errcode": 1,
  "errmsg": "sample string 2",
  "ReturnValue": {}
}

multipart/form-data

Sample:
<ServerResponseOfArrayOfbase_goods_PZC5QaEm xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Api.Models"><_x003C_ReturnValue_x003E_k__BackingField /><_x003C_errcode_x003E_k__BackingField>1</_x003C_errcode_x003E_k__BackingField><_x003C_errmsg_x003E_k__BackingField>sample string 2</_x003C_errmsg_x003E_k__BackingField><_x003C_Entity_x003E_k__BackingField xmlns:d2p1="http://schemas.datacontract.org/2004/07/Easyman.Model"><d2p1:base_goods><d2p1:addtime>2026-03-26T14:28:25.8630641+08:00</d2p1:addtime><d2p1:dept_id>2</d2p1:dept_id><d2p1:dwmc>sample string 12</d2p1:dwmc><d2p1:fee_ccf>9.1</d2p1:fee_ccf><d2p1:id>1</d2p1:id><d2p1:name>sample string 4</d2p1:name><d2p1:quantity>10</d2p1:quantity><d2p1:specifications>sample string 6</d2p1:specifications><d2p1:ssdw>3</d2p1:ssdw><d2p1:type>sample string 5</d2p1:type><d2p1:unit>sample string 7</d2p1:unit><d2p1:weight>11.1</d2p1:weight></d2p1:base_goods><d2p1:base_goods><d2p1:addtime>2026-03-26T14:28:25.8630641+08:00</d2p1:addtime><d2p1:dept_id>2</d2p1:dept_id><d2p1:dwmc>sample string 12</d2p1:dwmc><d2p1:fee_ccf>9.1</d2p1:fee_ccf><d2p1:id>1</d2p1:id><d2p1:name>sample string 4</d2p1:name><d2p1:quantity>10</d2p1:quantity><d2p1:specifications>sample string 6</d2p1:specifications><d2p1:ssdw>3</d2p1:ssdw><d2p1:type>sample string 5</d2p1:type><d2p1:unit>sample string 7</d2p1:unit><d2p1:weight>11.1</d2p1:weight></d2p1:base_goods></_x003C_Entity_x003E_k__BackingField></ServerResponseOfArrayOfbase_goods_PZC5QaEm>